<% if @user.new_record? -%>
<h1>New User</h1>
<% else -%>
<h1>Edit User</h1>
<% end -%>

<form method="post" action="">
  <%= hidden_field "user", "lock_version" %>
  <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <th class="label"><label for="user_name">Name</label></th>
      <td class="field"><%= text_field "user", "name", :class => 'textbox', :maxlength => 100 %></td>
      <td class="help">Required.</td>
    </tr>
    <tr>
      <th class="label"><label class="optional" for="user_email">E-mail</label></th>
      <td class="field"><%= text_field "user", "email", :class => 'textbox', :maxlength => 255 %></td>
      <td class="help">Optional. Please use a valid e-mail address.</td>
    </tr>
    <tr>
      <th class="label"><label for="user_login">Username</label></th>
      <td class="field"><%= text_field "user", "login", :class => 'textbox', :maxlength => 40 %></td>
      <td class="help">At least 3 characters. Must be unique.</td>
    </tr>
    <tr>
      <th class="label"><label for="user_password">Password</label></th>
      <td class="field"><%= password_field "user", "password", :class => 'textbox', :value => '', :maxlength => 40 %></td>
      <td class="help" rowspan="2">At least 5 characters. <% unless @user.new_record? %>Leave password blank for it to remain unchanged.<% end %></td>
    </tr>
    <tr>
      <th class="label"><label for="user_password_confirmation">Confirm&nbsp;Password</label></th>
      <td class="field"><%= password_field "user", "password_confirmation", :class => 'textbox', :value => '', :maxlength => 40 %></td>
    </tr>
    <tr>
      <th class="label"><label for="user_admin">Roles</label></th>
      <td class="field">
        <span class="checkbox"><%= check_box "user", "admin" %>&nbsp;<label for="user_admin">Administrator</label></span>
        <span class="checkbox"><%= check_box "user", "developer" %>&nbsp;<label for="user_developer">Developer</label></span>
      </td>
      <td class="help">Roles restrict user privileges and turn parts of the administrative interface on or off.</td>
    </tr>
    <tr>
      <th class="label"><label class="optional" for="user_notes">Notes</label></th>
      <td class="field"><%= text_area "user", "notes", :size => '40x4' %></td>
      <td class="help">Optional.</td>
    </tr>
  </table>
  <%= updated_stamp @user %>
  <p class="buttons">
    <%= save_model_button(@user) %> <%= save_model_and_continue_editing_button(@user) %> or <%= link_to "Cancel", user_index_url %>
  </p>
</form>

<%= focus 'user_name' %>
